<div class="content-header row">
    <div class="content-header-left col-md-9 col-12 mb-2">
      <div class="row breadcrumbs-top">
        <div class="col-12">
          <h2 class="content-header-title float-left mb-0">Ajouter Quittance</h2>
        
        </div>
      </div>
    </div>
    <div class="content-header-right text-md-right col-md-3 col-12 d-md-block d-none">
      <div class="form-group breadcrum-right">
        <div class="dropdown">
          <button class="btn-icon btn btn-primary btn-round btn-sm dropdown-toggle waves-effect waves-light" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i class="feather icon-settings"></i></button>
          <div class="dropdown-menu dropdown-menu-right"><a class="dropdown-item" href="#">Chat</a><a class="dropdown-item" href="#">Email</a><a class="dropdown-item" href="#">Calendar</a></div>
        </div>
      </div>
    </div>
  </div>
  
  <section class="users-edit">
    <div class="card">
      <div class="card-content">
        <div class="card-body">
          
          
          <form #f="ngForm" (ngSubmit)="createQuittance(f.value)">
            <div class="row">
              
              <div class="col-12 col-sm-6">
                <div class="form-group">
                  <div class="controls">
                    <label>Numero</label>
                    <input type="text" class="form-control" placeholder="Numero de quittance"  name="numero" #numero="ngModel" ngModel  required>
                  </div>
                </div>
               
                <div class="form-group">
                  <div class="controls">
                    <label>Date de Quittance</label>
                    <input type="date" class="form-control" placeholder="Date de Quittance" name="dateQuittance" #dateQuittance="ngModel" ngModel  required>
                  </div>
                </div>
                <div class="form-group">
                  <div class="controls">
                    <label>Periode du </label>
                    <input type="date" class="form-control" placeholder="Periode du " name="periodeDu" #periodeDu="ngModel" ngModel  required>
                  </div>
                </div>
                <div class="form-group">
                  <div class="controls">
                    <label>Contrat:</label>
                    <select class="form-control" name="contratId"  [(ngModel)]="selectedValueContrat"  #contratId="ngModel">
                        <option [ngValue]="undefined" disabled hidden  >Choose Contrat</option>
                        <option *ngFor="let c of contrats" value="{{c.id}}">{{c.numeroPolice}}</option>
                      </select>
                    </div>
                    <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="contratId.touched && selectedValueContrat === undefined">
                        <i class="feather icon-info mr-1 align-middle"></i>
                        <span>Contrat doit étre Obiligatoire</span>
                      </div>
                </div>
    
              </div>
              
              <div class="col-12 col-sm-6">
    
                <div class="form-group">
                  <label>Type de Quittance</label>
                  <input type="text" class="form-control" placeholder="Type Quittance" name="typeQuittance" #typeQuittance="ngModel" ngModel  required >
                </div>
    
                <div class="form-group">
                  <div class="controls">
                    <label>Date d'écheance </label>
                    <input type="date" class="form-control" placeholder="Date d'écheance " name="dateEcheance" #dateEcheance="ngModel" ngModel  required>
                  </div>
                </div>
    
                <div class="form-group">
                  <div class="controls">
                    <label>Periode au </label>
                    <input type="date" class="form-control" placeholder="Periode au " name="periodeAu" #perdiodeAu="ngModel" ngModel  required>
    
                  </div>
                </div>    
                
                <div class="form-group">
                  <div class="controls">
                    <label>Nombre element du facture  </label>
                    <input type="number" class="form-control" placeholder="Number element of facture" name="nombreElement" #nombreElement="ngModel" [(ngModel)]="selectedValueQuittance">
    
                  </div>
                </div>    
              </div>
    
              <div class="col-md-12">
    
                <h5>Ligne Facture</h5>
    
                <table id ="demoQuittance" class="table no-margin table-bordered table-striped" style="margin-top: 10px;">
         
                  <thead>
                      <tr >
                          <th>Description</th>
                          <th>Cotisation HT</th>
                          <th>Taxe</th>
                          <th>Cotisation TTC</th>
                      </tr>
                  </thead>
                  <tbody *ngIf="selectedValueQuittance">
                    <tr *ngFor="let x of counter(selectedValueQuittance);index as i">
                      <td>
                        <input type='text' class='form-control' placeholder="Description" name="description1{{i}}" ngModel>
                      </td>
                      <td>
                        <input type='number' class='form-control' placeholder="Cotisation HT" name="cotisationHT1{{i}}" [(ngModel)]="cht[i]" (change)="calculerttc()">
                      </td>
                      <td>
                        <input type='number' class='form-control' placeholder="Taxe" name="taxe1{{i}}" [(ngModel)]="taxe[i]" (change)="calculerttc()">
                      </td>
                      <td>
                        <input type='number' class='form-control' placeholder="Cotisation TTC" name="co{{i}}" [(ngModel)]="cttc[i]" disabled>
                        <input type='hidden' class='form-control' placeholder="Cotisation TTC" name="cotisationTTC1{{i}}" [(ngModel)]="cttc[i]" >

                      </td>
                    </tr>
                    
        
                  </tbody>
                  <tfoot>
                    <tr>
                      <td></td>
                      <td>Total cotisationHT: {{prixht}}</td>

                      <td>Total Taxe : {{prixtaxe}}</td>
                      <td>Total cotisationTTC: {{prixttc}}</td>
                    </tr>
                  </tfoot>
                  
              </table> 
              
            </div>
          
            </div>
          
            <div class="col-md-3 offset-md-9" style="margin-top: 10px;">
              <button type="reset" class="btn btn-warning mr-1 mb-1 waves-effect waves-light">Annuler</button>   
              <button type="submit" class="btn btn-primary mr-1 mb-1 waves-effect waves-light" [disabled]="f.invalid">Ajouter Quittance</button>
              </div>
        </form>
              <!-- users edit account form ends -->
            
            
        </div>
      </div>
    </div>
  </section>